Skip to content
Start here

Update protection status.

client.DDoSProtection.advancedTCPProtection.status.edit(StatusEditParams { account_id, enabled } params, RequestOptionsoptions?): StatusEditResponse { enabled }
PATCH/accounts/{account_id}/magic/advanced_tcp_protection/configs/tcp_protection_status

Update the protection status of the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DDoS Protection Write
ParametersExpand Collapse
params: StatusEditParams { account_id, enabled }
account_id: string

Path param: Identifier.

maxLength32
enabled: boolean

Body param: Enables or disables protection.

ReturnsExpand Collapse
StatusEditResponse { enabled }
enabled: boolean

Update protection status.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.DDoSProtection.advancedTCPProtection.status.edit({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  enabled: true,
});

console.log(response.enabled);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true
  }
}